Index: doc/conf.py
===================================================================
--- doc/conf.py	(revision 30b60d21e384fd9fda8e281e787ff2869925e10d)
+++ doc/conf.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -36,5 +36,5 @@
               #'only_directives',
               #'matplotlib.sphinxext.mathmpl',
-              'matplotlib.sphinxext.only_directives',
+              #'matplotlib.sphinxext.only_directives',
               'matplotlib.sphinxext.plot_directive',
               'dollarmath',
Index: doc/genmodel.py
===================================================================
--- doc/genmodel.py	(revision b866abfff00ead98986dd2d7b2805c3f1b69f14d)
+++ doc/genmodel.py	(revision a42b091e6b1a7cb6627e6750dacf7eed1dbd6a7d)
@@ -7,4 +7,5 @@
 import matplotlib.pyplot as plt
 sys.path.insert(0, os.path.abspath('..'))
+import sasmodels
 from sasmodels import generate, core
 from sasmodels.direct_model import DirectModel, call_profile
@@ -127,4 +128,61 @@
     #print("figure saved in",path)
 
+def copy_if_newer(src, dst):
+    from os.path import dirname, exists, getmtime
+    import shutil
+    if not exists(dst):
+        path = dirname(dst)
+        if not exists(path):
+            os.makedirs(path)
+        shutil.copy2(src, dst)
+    elif getmtime(src) > getmtime(dst):
+        shutil.copy2(src, dst)
+
+def link_sources(model_info):
+    from os.path import basename, dirname, realpath, join as joinpath
+
+    # List source files in reverse order of dependency.
+    model_file = basename(model_info.filename)
+    sources = list(reversed(model_info.source + [model_file]))
+
+    # Copy files to src dir under models directory.  Need to do this
+    # because sphinx can't link to an absolute path.
+    root = dirname(dirname(realpath(__file__)))
+    src = joinpath(root, "sasmodels", "models")
+    dst = joinpath(root, "doc", "model", "src")
+    for path in sources:
+        copy_if_newer(joinpath(src, path), joinpath(dst, path))
+
+    # Link to local copy of the files
+    downloads = [":download:`%s <src/%s>`"%(path, path) for path in sources]
+
+    # Could do syntax highlighting on the model files by creating a rst file
+    # beside each source file named containing source file with
+    #
+    #    src/path.rst:
+    #
+    #    .. {{ path.replace('/','_') }}:
+    #
+    #    .. literalinclude:: {{ src/path }}
+    #        :language: {{ "python" if path.endswith('.py') else "c" }}
+    #        :linenos:
+    #
+    # and link to it using
+    #
+    #     colors = [":ref:`%s`"%(path.replace('/','_')) for path in sources]
+    #
+    # Probably need to dump all the rst files into an index.rst to build them.
+
+    # Link to github repo (either the tagged sasmodels version or master)
+    url = "https://github.com/SasView/sasmodels/blob/v%s"%sasmodels.__version__
+    #url = "https://github.com/SasView/sasmodels/blob/master"%sasmodels.__version__
+    links = ["`%s <%s/sasmodels/models/%s>`_"%(path, url, path) for path in sources]
+
+    sep = u"\n\\ \u25E6 \\ "  # bullet
+    body = "\n**Source**\n"
+    #body += "\n\\ " + sep.join(links) + "\n\n"
+    body += "\n\\ " + sep.join(downloads) + "\n\n"
+    return body
+
 def gen_docs(model_info):
     # type: (ModelInfo) -> None
@@ -150,13 +208,17 @@
     match = re.search(pattern, docstr.upper())
 
+    sources = link_sources(model_info)
+
+    insertion = captionstr + sources
+
     if match:
         docstr1 = docstr[:match.start()]
         docstr2 = docstr[match.start():]
-        docstr = docstr1 + captionstr + docstr2
+        docstr = docstr1 + insertion + docstr2
     else:
         print('------------------------------------------------------------------')
         print('References NOT FOUND for model: ', model_info.id)
         print('------------------------------------------------------------------')
-        docstr += captionstr
+        docstr += insertion
 
     open(sys.argv[2],'w').write(docstr)
Index: doc/guide/fitting_sq.rst
===================================================================
--- doc/guide/fitting_sq.rst	(revision e62c019dc943138d33b75fbe9df287770f52a282)
+++ doc/guide/fitting_sq.rst	(revision e62c019dc943138d33b75fbe9df287770f52a282)
@@ -27,5 +27,5 @@
   In simple $P(Q)$ models **scale** often represents the volume fraction of
   material.
-  
+
   In $P@S$ models **scale** should be set to 1.0, as the $P@S$ model contains a
   **volfraction** parameter.
@@ -46,5 +46,5 @@
 
   The radial distance determining the range of the $S(Q)$ interaction.
-  
+
   This may, or may not, be the same as any "size" parameters describing the
   form of the shape. For example, in a system containing freely-rotating
@@ -65,5 +65,5 @@
   **structure_factor_mode** will appear in the parameter table after the $S(Q)$
   parameters.
-  
+
   If **structure_factor_mode = 0** then the *local monodisperse approximation*
   will be used, i.e.:
@@ -77,7 +77,7 @@
 
     where $P(Q)$ = $<|F(Q)|^2>$.
-    
+
   This is equivalent to:
-  
+
     $I(Q)$ = $(scale$ / $volume)$ x $P(Q)$ x $( 1$ + $\beta(Q)$ x $(S(Q)$ - $1) )$ + $background$
 
Index: sasmodels/models/_spherepy.py
===================================================================
--- sasmodels/models/_spherepy.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/_spherepy.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -39,10 +39,4 @@
 John Wiley and Sons, New York, (1955)
 
-Source
-------
-
-`_spherepy.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/_spherepy.py>`_
-`sphere.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/sphere.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -51,5 +45,4 @@
 * **Last Modified by:**
 * **Last Reviewed by:** S King and P Parker **Date:** 2013/09/09 and 2014/01/06
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/adsorbed_layer.py
===================================================================
--- sasmodels/models/adsorbed_layer.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/adsorbed_layer.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -49,9 +49,4 @@
    Layers*, *Macromol. Symp.*, 190 (2002) 33-42.
 
-Source
-------
-
-`adsorbed_layer.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/adsorbed_layer.py>`_
-
 Authorship and Verification
 ----------------------------
@@ -60,5 +55,4 @@
 * **Last Modified by:** Paul Kienzle **Date:** April 14, 2016
 * **Last Reviewed by:** Steve King **Date:** March 18, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/barbell.py
===================================================================
--- sasmodels/models/barbell.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/barbell.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -81,11 +81,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`barbell.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/barbell.py>`_
-
-`barbell.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/barbell.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -94,5 +87,4 @@
 * **Last Modified by:** Paul Butler **Date:** March 20, 2016
 * **Last Reviewed by:** Richard Heenan **Date:** January 4, 2017
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/bcc_paracrystal.py
===================================================================
--- sasmodels/models/bcc_paracrystal.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/bcc_paracrystal.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -100,11 +100,4 @@
    (Corrections to FCC and BCC lattice structure calculation)
 
-Source
-------
-
-`bcc_paracrystal.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/bcc_paracrystal.py>`_
-
-`bcc_paracrystal.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/bcc_paracrystal.c>`_
-
 Authorship and Verification
 ---------------------------
@@ -113,5 +106,4 @@
 * **Last Modified by:** Paul Butler **Date:** September 29, 2016
 * **Last Reviewed by:** Richard Heenan **Date:** March 21, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/be_polyelectrolyte.py
===================================================================
--- sasmodels/models/be_polyelectrolyte.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/be_polyelectrolyte.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -91,9 +91,4 @@
 .. [#] E Raphael, J F Joanny, *Europhysics Letters*, 11 (1990) 179
 
-Source
-------
-
-`be_polyelectrolyte.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/be_polyelectrolyte.py>`_
-
 Authorship and Verification
 ----------------------------
@@ -102,5 +97,4 @@
 * **Last Modified by:** Paul Butler **Date:** September 25, 2018
 * **Last Reviewed by:** Paul Butler **Date:** September 25, 2018
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/binary_hard_sphere.py
===================================================================
--- sasmodels/models/binary_hard_sphere.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/binary_hard_sphere.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -65,11 +65,4 @@
 .. [#] S R Kline, *J Appl. Cryst.*, 39 (2006) 895
 
-Source
-------
-
-`binary_hard_sphere.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/binary_hard_sphere.py>`_
-
-`binary_hard_sphere.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/binary_hard_sphere.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -78,5 +71,4 @@
 * **Last Modified by:** Paul Butler **Date:** March 20, 2016
 * **Last Reviewed by:** Paul Butler **Date:** March 20, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/broad_peak.py
===================================================================
--- sasmodels/models/broad_peak.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/broad_peak.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -33,9 +33,4 @@
 None.
 
-Source
-------
-
-`broad_peak.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/broad_peak.py>`_
-
 Authorship and Verification
 ----------------------------
@@ -44,5 +39,4 @@
 * **Last Modified by:** Paul kienle **Date:** July 24, 2016
 * **Last Reviewed by:** Richard Heenan **Date:** March 21, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/capped_cylinder.py
===================================================================
--- sasmodels/models/capped_cylinder.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/capped_cylinder.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -84,11 +84,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`capped_cylinder.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/capped_cylinder.py>`_
-
-`capped_cylinder.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/capped_cylinder.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -97,5 +90,4 @@
 * **Last Modified by:** Paul Butler **Date:** September 30, 2016
 * **Last Reviewed by:** Richard Heenan **Date:** January 4, 2017
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/core_multi_shell.py
===================================================================
--- sasmodels/models/core_multi_shell.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/core_multi_shell.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -39,11 +39,4 @@
    Neutron Scattering*, Plenum Press, New York, 1987.
 
-Source
-------
-
-`core_multi_shell.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_multi_shell.py>`_
-
-`core_multi_shell.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_multi_shell.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -52,5 +45,4 @@
 * **Last Modified by:** Paul Kienzle **Date:** September 12, 2016
 * **Last Reviewed by:** Paul Kienzle **Date:** September 12, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 from __future__ import division
Index: sasmodels/models/core_shell_bicelle.py
===================================================================
--- sasmodels/models/core_shell_bicelle.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/core_shell_bicelle.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -92,11 +92,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`core_shell_bicelle.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_bicelle.py>`_
-
-`core_shell_bicelle.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_bicelle.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -105,5 +98,4 @@
 * **Last Modified by:** Paul Butler **Date:** September 30, 2016
 * **Last Reviewed by:** Richard Heenan **Date:** January 4, 2017
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/core_shell_bicelle_elliptical.py
===================================================================
--- sasmodels/models/core_shell_bicelle_elliptical.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/core_shell_bicelle_elliptical.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -101,11 +101,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`core_shell_bicelle_elliptical.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_bicelle_elliptical.py>`_
-
-`core_shell_bicelle_elliptical.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_bicelle_elliptical.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -114,5 +107,4 @@
 * **Last Modified by:**  Richard Heenan **Date:** December 14, 2016
 * **Last Reviewed by:**  Paul Kienzle **Date:** Feb 28, 2018
-* **Source added by :**  Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/core_shell_bicelle_elliptical_belt_rough.py
===================================================================
--- sasmodels/models/core_shell_bicelle_elliptical_belt_rough.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/core_shell_bicelle_elliptical_belt_rough.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -113,11 +113,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`core_shell_bicelle_elliptical_belt_rough.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_bicelle_elliptical_belt_rough.py>`_
-
-`core_shell_bicelle_elliptical_belt_rough.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_bicelle_elliptical_belt_rough.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -126,5 +119,4 @@
 * **Last Modified by:**  Richard Heenan new 2d orientation **Date:** October 5, 2017
 * **Last Reviewed by:**  Richard Heenan 2d calc seems agree with 1d **Date:** Nov 2, 2017
-* **Source added by :**  Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/core_shell_cylinder.py
===================================================================
--- sasmodels/models/core_shell_cylinder.py	(revision db1d9d5f306f6645d007300bc421fb71d3669eda)
+++ sasmodels/models/core_shell_cylinder.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -72,11 +72,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`core_shell_cylinder.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_cylinder.py>`_
-
-`core_shell_cylinder.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_cylinder.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -85,5 +78,4 @@
 * **Last Modified by:** Paul Kienzle **Date:** Aug 8, 2016
 * **Last Reviewed by:** Richard Heenan **Date:** March 18, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/core_shell_ellipsoid.py
===================================================================
--- sasmodels/models/core_shell_ellipsoid.py	(revision db1d9d5f306f6645d007300bc421fb71d3669eda)
+++ sasmodels/models/core_shell_ellipsoid.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -97,11 +97,4 @@
 .. [#] Berr, S. *J. Phys. Chem.*, 1987, 91, 4760
 
-Source
-------
-
-`core_shell_ellipsoid.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_ellipsoid.py>`_
-
-`core_shell_ellipsoid.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_ellipsoid.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -110,5 +103,4 @@
 * **Last Modified by:** Richard Heenan (reparametrised model) **Date:** 2015
 * **Last Reviewed by:** Steve King **Date:** March 27, 2019
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/core_shell_parallelepiped.py
===================================================================
--- sasmodels/models/core_shell_parallelepiped.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/core_shell_parallelepiped.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -175,11 +175,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`core_shell_parallelepiped.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_parallelepiped.py>`_
-
-`core_shell_parallelepiped.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_parallelepiped.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -190,5 +183,4 @@
 * **Last Reviewed by:** Paul Butler **Date:** May 24, 2018 - documentation
   updated
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/core_shell_sphere.py
===================================================================
--- sasmodels/models/core_shell_sphere.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/core_shell_sphere.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -50,11 +50,4 @@
 .. [#] A Guinier and G Fournet, *Small-Angle Scattering of X-Rays*, John Wiley and Sons, New York, (1955)
 
-Source
-------
-
-`core_shell_sphere.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_sphere.py>`_
-
-`core_shell_sphere.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/core_shell_sphere.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -63,5 +56,4 @@
 * **Last Modified by:**
 * **Last Reviewed by:**
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/correlation_length.py
===================================================================
--- sasmodels/models/correlation_length.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/correlation_length.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -32,16 +32,10 @@
 .. [#] B Hammouda, D L Ho and S R Kline, Insight into Clustering in Poly(ethylene oxide) Solutions, Macromolecules, 37 (2004) 6932-6937
 
-Source
-------
-
-`correlation_length.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/correlation_length.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/cylinder.py
===================================================================
--- sasmodels/models/cylinder.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/cylinder.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -100,11 +100,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`cylinder.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/cylinder.py>`_
-
-`cylinder.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/cylinder.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -113,5 +106,4 @@
 * **Last Modified by:**
 * **Last Reviewed by:**
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/ellipsoid.py
===================================================================
--- sasmodels/models/ellipsoid.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/ellipsoid.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -109,11 +109,4 @@
 .. [#] A. Isihara. *J. Chem. Phys.*, 18 (1950) 1446-1449
 
-Source
-------
-
-`ellipsoid.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/ellipsoid.py>`_
-
-`ellipsoid.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/ellipsoid.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -122,5 +115,4 @@
 * **Converted to sasmodels by:** Helen Park **Date:** July 9, 2014
 * **Last Modified by:** Paul Kienzle **Date:** March 22, 2017
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 from __future__ import division
Index: sasmodels/models/elliptical_cylinder.py
===================================================================
--- sasmodels/models/elliptical_cylinder.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/elliptical_cylinder.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -89,11 +89,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`elliptical_cylinder.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/elliptical_cylinder.py>`_
-
-`elliptical_cylinder.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/elliptical_cylinder.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -102,5 +95,4 @@
 * **Last Modified by:**
 * **Last Reviewed by:**  Richard Heenan - corrected equation in docs **Date:** December 21, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/fcc_paracrystal.py
===================================================================
--- sasmodels/models/fcc_paracrystal.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/fcc_paracrystal.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -99,11 +99,4 @@
    (Corrections to FCC and BCC lattice structure calculation)
 
-Source
-------
-
-`fcc_paracrystal.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/fcc_paracrystal.py>`_
-
-`fcc_paracrystal.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/fcc_paracrystal.c>`_
-
 Authorship and Verification
 ---------------------------
@@ -112,5 +105,4 @@
 * **Last Modified by:** Paul Butler **Date:** September 29, 2016
 * **Last Reviewed by:** Richard Heenan **Date:** March 21, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/flexible_cylinder.py
===================================================================
--- sasmodels/models/flexible_cylinder.py	(revision db1d9d5f306f6645d007300bc421fb71d3669eda)
+++ sasmodels/models/flexible_cylinder.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -95,13 +95,4 @@
 .. [#] W R Chen, P D Butler and L J Magid, *Incorporating Intermicellar Interactions in the Fitting of SANS Data from Cationic Wormlike Micelles.* Langmuir, 22(15) 2006 6539-6548
 
-Source
-------
-
-`flexible_cylinder.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/flexible_cylinder.py>`_
-
-`flexible_cylinder.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/flexible_cylinder.c>`_
-
-`wrc_cyl.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/lib/wrc_cyl.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -110,5 +101,4 @@
 * **Last Modified by:**
 * **Last Reviewed by:** Steve King **Date:** March 26, 2019
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/flexible_cylinder_elliptical.py
===================================================================
--- sasmodels/models/flexible_cylinder_elliptical.py	(revision db1d9d5f306f6645d007300bc421fb71d3669eda)
+++ sasmodels/models/flexible_cylinder_elliptical.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -83,13 +83,4 @@
 .. [#] W R Chen, P D Butler and L J Magid, *Incorporating Intermicellar Interactions in the Fitting of SANS Data from Cationic Wormlike Micelles.* Langmuir, 22(15) 2006 6539-6548
 
-Source
-------
-
-`flexible_cylinder_elliptical.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/flexible_cylinder_elliptical.py>`_
-
-`flexible_cylinder_elliptical.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/flexible_cylinder_elliptical.c>`_
-
-`wrc_cyl.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/lib/wrc_cyl.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -98,5 +89,4 @@
 * **Last Modified by:** Richard Heenan **Date:** December, 2016
 * **Last Reviewed by:** Steve King **Date:** March 26, 2019
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/fractal.py
===================================================================
--- sasmodels/models/fractal.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/fractal.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -46,11 +46,4 @@
 .. [#] J Teixeira, *J. Appl. Cryst.*, 21 (1988) 781-785
 
-Source
-------
-
-`fractal.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/fractal.py>`_
-
-`fractal.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/fractal.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -60,5 +53,4 @@
 * **Last Modified by:** Paul Butler **Date:** March 12, 2017
 * **Last Reviewed by:** Paul Butler **Date:** March 12, 2017
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 from __future__ import division
Index: sasmodels/models/fractal_core_shell.py
===================================================================
--- sasmodels/models/fractal_core_shell.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/fractal_core_shell.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -51,11 +51,4 @@
 .. [#Kline]  S R Kline, *J Appl. Cryst.*, 39 (2006) 895
 
-Source
-------
-
-`fractal_core_shell.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/fractal_core_shell.py>`_
-
-`fractal_core_shell.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/fractal_core_shell.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -64,5 +57,4 @@
 * **Last Modified by:** Paul Butler and Paul Kienzle **Date:** November 27, 2016
 * **Last Reviewed by:** Paul Butler and Paul Kienzle **Date:** November 27, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/fuzzy_sphere.py
===================================================================
--- sasmodels/models/fuzzy_sphere.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/fuzzy_sphere.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -53,11 +53,4 @@
 .. [#] M Stieger, J. S Pedersen, P Lindner, W Richtering, *Langmuir*, 20 (2004) 7283-7292
 
-Source
-------
-
-`fuzzy_sphere.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/fuzzy_sphere.py>`_
-
-`fuzzy_sphere.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/fuzzy_sphere.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -66,5 +59,4 @@
 * **Last Modified by:**
 * **Last Reviewed by:**
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/gauss_lorentz_gel.py
===================================================================
--- sasmodels/models/gauss_lorentz_gel.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/gauss_lorentz_gel.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -34,16 +34,10 @@
 .. [#] G Evmenenko, E Theunissen, K Mortensen, H Reynaers, *Polymer*, 42 (2001) 2907-2913
 
-Source
-------
-
-`gauss_lorentz_gel.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/gauss_lorentz_gel.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/gaussian_peak.py
===================================================================
--- sasmodels/models/gaussian_peak.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/gaussian_peak.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -27,16 +27,10 @@
 None.
 
-Source
-------
-
-`gaussian_peak.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/gaussian_peak.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/gel_fit.py
===================================================================
--- sasmodels/models/gel_fit.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/gel_fit.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -41,18 +41,10 @@
 .. [#] Simon Mallam, Ferenc Horkay, Anne-Marie Hecht, Adrian R Rennie, Erik Geissler, *Macromolecules* 1991, 24, 543-548
 
-Source
-------
-
-`gel_fit.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/gel_fit.py>`_
-
-`gel_fit.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/gel_fit.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/guinier.py
===================================================================
--- sasmodels/models/guinier.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/guinier.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -48,16 +48,10 @@
 .. [#] A Guinier and G Fournet, *Small-Angle Scattering of X-Rays*, John Wiley & Sons, New York (1955)
 
-Source
-------
-
-`guinier.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/guinier.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/guinier_porod.py
===================================================================
--- sasmodels/models/guinier_porod.py	(revision db1d9d5f306f6645d007300bc421fb71d3669eda)
+++ sasmodels/models/guinier_porod.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -63,16 +63,10 @@
 .. [#] B Hammouda, *Analysis of the Beaucage model, J. Appl. Cryst.*, (2010), 43, 1474-1478
 
-Source
-------
-
-`guinier_porod.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/guinier_porod.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/hardsphere.py
===================================================================
--- sasmodels/models/hardsphere.py	(revision db1d9d5f306f6645d007300bc421fb71d3669eda)
+++ sasmodels/models/hardsphere.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -54,9 +54,4 @@
 .. [#] J K Percus, J Yevick, *J. Phys. Rev.*, 110, (1958) 1
 
-Source
-------
-
-`hardsphere.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/hardsphere.py>`_
-
 Authorship and Verification
 ----------------------------
@@ -65,5 +60,4 @@
 * **Last Modified by:**
 * **Last Reviewed by:**
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/hayter_msa.py
===================================================================
--- sasmodels/models/hayter_msa.py	(revision db1d9d5f306f6645d007300bc421fb71d3669eda)
+++ sasmodels/models/hayter_msa.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -63,11 +63,4 @@
 .. [#] C G Malmberg and A A Maryott, *J. Res. Nat. Bureau Standards*, 56 (1956) 2641
 
-Source
-------
-
-`hayter_msa.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/hayter_msa.py>`_
-
-`hayter_msa.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/hayter_msa.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -76,5 +69,4 @@
 * **Last Modified by:**
 * **Last Reviewed by:** Steve King **Date:** March 28, 2019
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/hollow_cylinder.py
===================================================================
--- sasmodels/models/hollow_cylinder.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/hollow_cylinder.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -62,11 +62,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`hollow_cylinder.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/hollow_cylinder.py>`_
-
-`hollow_cylinder.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/hollow_cylinder.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -76,5 +69,4 @@
    (corrected VR calculation)
 * **Last Reviewed by:** Paul Butler **Date:** September 06, 2018
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 from __future__ import division
Index: sasmodels/models/hollow_rectangular_prism.py
===================================================================
--- sasmodels/models/hollow_rectangular_prism.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/hollow_rectangular_prism.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -100,11 +100,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`hollow_rectangular_prism.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/hollow_rectangular_prism.py>`_
-
-`hollow_rectangular_prism.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/hollow_rectangular_prism.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -113,5 +106,4 @@
 * **Last Modified by:** Paul Kienzle **Date:** December 14, 2017
 * **Last Reviewed by:** Paul Butler **Date:** September 06, 2018
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/hollow_rectangular_prism_thin_walls.py
===================================================================
--- sasmodels/models/hollow_rectangular_prism_thin_walls.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/hollow_rectangular_prism_thin_walls.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -74,11 +74,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`hollow_rectangular_prism_thin_walls.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/hollow_rectangular_prism_thin_walls.py>`_
-
-`hollow_rectangular_prism_thin_walls.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/hollow_rectangular_prism_thin_walls.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -87,5 +80,4 @@
 * **Last Modified by:** Paul Kienzle **Date:** October 15, 2016
 * **Last Reviewed by:** Paul Butler **Date:** September 07, 2018
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/lamellar.py
===================================================================
--- sasmodels/models/lamellar.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/lamellar.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -43,16 +43,10 @@
 .. [#] J Berghausen, J Zipfel, P Lindner, W Richtering, *J. Phys. Chem. B*, 105, (2001) 11081-11088
 
-Source
-------
-
-`lamellar.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/lamellar.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/lamellar_hg.py
===================================================================
--- sasmodels/models/lamellar_hg.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/lamellar_hg.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -45,16 +45,10 @@
 .. [#] J Berghausen, J Zipfel, P Lindner, W Richtering, *J. Phys. Chem. B*, 105, (2001) 11081-11088
 
-Source
-------
-
-`lamellar_hg.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/lamellar_hg.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
+* **Author:**
+* **Last Modified by:**
 * **Last Reviewed by:** S King and P Butler **Date** April 17, 2014
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/lamellar_hg_stack_caille.py
===================================================================
--- sasmodels/models/lamellar_hg_stack_caille.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/lamellar_hg_stack_caille.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -72,18 +72,10 @@
 .. [#] J Berghausen, J Zipfel, P Lindner, W Richtering, *J. Phys. Chem. B*, 105, (2001) 11081-11088
 
-Source
-------
-
-`lamellar_hg_stack_caille.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/lamellar_hg_stack_caille.py>`_
-
-`lamellar_hg_stack_caille.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/lamellar_hg_stack_caille.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/lamellar_stack_caille.py
===================================================================
--- sasmodels/models/lamellar_stack_caille.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/lamellar_stack_caille.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -68,18 +68,10 @@
 .. [#] J Berghausen, J Zipfel, P Lindner, W Richtering, *J. Phys. Chem. B*, 105, (2001) 11081-11088
 
-Source
-------
-
-`lamellar_stack_caille.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/lamellar_stack_caille.py>`_
-
-`lamellar_stack_caille.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/lamellar_stack_caille.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/lamellar_stack_paracrystal.py
===================================================================
--- sasmodels/models/lamellar_stack_paracrystal.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/lamellar_stack_paracrystal.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -90,18 +90,10 @@
 .. [#] M Bergstrom, J S Pedersen, P Schurtenberger, S U Egelhaaf, *J. Phys. Chem. B*, 103 (1999) 9888-9897
 
-Source
-------
-
-`lamellar_stack_paracrystal.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/lamellar_stack_paracrystal.py>`_
-
-`lamellar_stack_paracrystal.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/lamellar_stack_paracrystal.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 import numpy as np
Index: sasmodels/models/line.py
===================================================================
--- sasmodels/models/line.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/line.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -23,16 +23,11 @@
 None.
 
-Source
-------
-
-`line.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/line.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019"""
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
+"""
 
 import numpy as np
Index: sasmodels/models/linear_pearls.py
===================================================================
--- sasmodels/models/linear_pearls.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/linear_pearls.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -31,18 +31,11 @@
 .. [#] A V Dobrynin, M Rubinstein and S P Obukhov, *Macromol.*, 29 (1996) 2974-2979
 
-Source
-------
-
-`linear_pearls.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/linear_pearls.py>`_
-
-`linear_pearls.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/linear_pearls.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019"""
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
+"""
 
 import numpy as np
Index: sasmodels/models/lorentz.py
===================================================================
--- sasmodels/models/lorentz.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/lorentz.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -22,16 +22,11 @@
 .. [#] L.S. Qrnstein and F. Zernike, *Proc. Acad. Sci. Amsterdam* 17, 793 (1914), and *Z. Phys.* 19, 134 (1918), and 27, 761 {1926); referred to as QZ.
 
-Source
-------
-
-`lorentz.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/lorentz.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019"""
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
+"""
 
 import numpy as np
Index: sasmodels/models/mass_fractal.py
===================================================================
--- sasmodels/models/mass_fractal.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/mass_fractal.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -51,18 +51,11 @@
 .. [#] D Mildner and P Hall, *J. Phys. D: Appl. Phys.*, 19 (1986) 1535-1545 Equation(9)
 
-Source
-------
-
-`mass_fractal.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/mass_fractal.py>`_
-
-`mass_fractal.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/mass_fractal.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019"""
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
+"""
 
 import numpy as np
Index: sasmodels/models/mass_surface_fractal.py
===================================================================
--- sasmodels/models/mass_surface_fractal.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/mass_surface_fractal.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -55,18 +55,10 @@
    35 (1987) 2361-2364 Equation(2)
 
-Source
-------
-
-`mass_surface_fractal.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/mass_surface_fractal.py>`_
-
-`mass_surface_fractal.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/mass_surface_fractal.c>`_
-
 Authorship and Verification
 ----------------------------
 
 * **Author:** Piotr Rozyczko **Date:** Jan 20, 2016
-* **Last Modified by:** 
+* **Last Modified by:**
 * **Last Reviewed by:** Richard Heenan **Date:** May 30, 2018
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/mono_gauss_coil.py
===================================================================
--- sasmodels/models/mono_gauss_coil.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/mono_gauss_coil.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -49,11 +49,4 @@
 .. [#] http://www.ncnr.nist.gov/staff/hammouda/distance_learning/chapter_28.pdf
 
-Source
-------
-
-`mono_gauss_coil.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/mono_gauss_coil.py>`_
-
-`mono_gauss_coil.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/mono_gauss_coil.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -62,5 +55,5 @@
 * **Last Modified by:**
 * **Last Reviewed by:**
-* **Source added by :** Steve King **Date:** March 25, 2019"""
+"""
 
 import numpy as np
Index: sasmodels/models/multilayer_vesicle.py
===================================================================
--- sasmodels/models/multilayer_vesicle.py	(revision db1d9d5f306f6645d007300bc421fb71d3669eda)
+++ sasmodels/models/multilayer_vesicle.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -100,11 +100,4 @@
    R Zana and M Dekker, New York, (1987).
 
-Source
-------
-
-`multilayer_vesicle.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/multilayer_vesicle.py>`_
-
-`multilayer_vesicle.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/multilayer_vesicle.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -114,5 +107,4 @@
 * **Last Modified by:** Paul Kienzle **Date:** Feb 7, 2017
 * **Last Reviewed by:** Steve King **Date:** March 28, 2019
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/onion.py
===================================================================
--- sasmodels/models/onion.py	(revision db1d9d5f306f6645d007300bc421fb71d3669eda)
+++ sasmodels/models/onion.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -187,11 +187,4 @@
 .. [#] L A Feigin and D I Svergun, *Structure Analysis by Small-Angle X-Ray and Neutron Scattering*, Plenum Press, New York, 1987.
 
-Source
-------
-
-`onion.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/onion.py>`_
-
-`onion.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/onion.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -200,5 +193,4 @@
 * **Last Modified by:**
 * **Last Reviewed by:** Steve King **Date:** March 28, 2019
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/parallelepiped.py
===================================================================
--- sasmodels/models/parallelepiped.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/parallelepiped.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -182,11 +182,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`parallelepiped.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/parallelepiped.py>`_
-
-`parallelepiped.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/parallelepiped.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -196,5 +189,4 @@
 * **Last Reviewed by:**  Miguel Gonzales and Paul Butler **Date:** May 24,
   2018 - documentation updated
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/peak_lorentz.py
===================================================================
--- sasmodels/models/peak_lorentz.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/peak_lorentz.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -27,18 +27,10 @@
 None.
 
-Source
-------
-
-`peak_lorentz.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/peak_lorentz.py>`_
-
-`peak_lorentz.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/peak_lorentz.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/pearl_necklace.py
===================================================================
--- sasmodels/models/pearl_necklace.py	(revision db1d9d5f306f6645d007300bc421fb71d3669eda)
+++ sasmodels/models/pearl_necklace.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -55,11 +55,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`pearl_necklace.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/pearl_necklace.py>`_
-
-`pearl_necklace.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/pearl_necklace.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -68,5 +61,4 @@
 * **Last Modified by:** Andrew Jackson **Date:** March 28, 2019
 * **Last Reviewed by:** Steve King **Date:** March 28, 2019
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/poly_gauss_coil.py
===================================================================
--- sasmodels/models/poly_gauss_coil.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/poly_gauss_coil.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -48,11 +48,4 @@
 .. [#] http://www.ncnr.nist.gov/staff/hammouda/distance_learning/chapter_28.pdf
 
-Source
-------
-
-`poly_gauss_coil.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/poly_gauss_coil.py>`_
-
-`poly_gauss_coil.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/poly_gauss_coil.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -61,5 +54,4 @@
 * **Last Modified by:**
 * **Last Reviewed by:**
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/polymer_excl_volume.py
===================================================================
--- sasmodels/models/polymer_excl_volume.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/polymer_excl_volume.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -113,18 +113,10 @@
 .. [#] B Hammouda & M-H Kim, *The empirical core-chain model* 247 (2017) 434-440
 
-Source
-------
-
-`polymer_excl_volume.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/polymer_excl_volume.py>`_
-
-`polymer_excl_volume.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/polymer_excl_volume.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/polymer_micelle.py
===================================================================
--- sasmodels/models/polymer_micelle.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/polymer_micelle.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -70,11 +70,4 @@
 .. [#] J Pedersen, *J. Appl. Cryst.*, 33 (2000) 637-640
 
-Source
-------
-
-`polymer_micelle.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/polymer_micelle.py>`_
-
-`polymer_micelle.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/polymer_micelle.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -83,5 +76,4 @@
 * **Last modified by:** Paul Kienzle **Date:** November 29, 2017
 * **Last reviewed by:** Steve King **Date:** November 30, 2017
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/porod.py
===================================================================
--- sasmodels/models/porod.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/porod.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -21,16 +21,10 @@
 .. [#] L A Feigin, D I Svergun, G W Taylor. *Structure Analysis by Small-Angle X-ray and Neutron Scattering*. Springer. (1987)
 
-Source
-------
-
-`porod.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/porod.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/power_law.py
===================================================================
--- sasmodels/models/power_law.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/power_law.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -26,16 +26,10 @@
 None.
 
-Source
-------
-
-`power_law.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/power_law.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/pringle.py
===================================================================
--- sasmodels/models/pringle.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/pringle.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -43,11 +43,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`pringle.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/pringle.py>`_
-
-`pringle.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/pringle.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -56,5 +49,4 @@
 * **Last Modified by:** Wojciech Wpotrzebowski **Date:** March 20, 2016
 * **Last Reviewed by:** Andrew Jackson **Date:** September 26, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/raspberry.py
===================================================================
--- sasmodels/models/raspberry.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/raspberry.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -100,11 +100,4 @@
 .. [#] K Larson-Smith, A Jackson, and D C Pozzo, *Small angle scattering model for Pickering emulsions and raspberry particles*, *Journal of Colloid and Interface Science*, 343(1) (2010) 36-41
 
-Source
-------
-
-`raspberry.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/raspberry.py>`_
-
-`raspberry.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/raspberry.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -113,5 +106,4 @@
 * **Last Modified by:** Andrew Jackson **Date:** March 20, 2016
 * **Last Reviewed by:** Andrew Jackson **Date:** March 20, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/rectangular_prism.py
===================================================================
--- sasmodels/models/rectangular_prism.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/rectangular_prism.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -100,11 +100,4 @@
 .. [#] L. Onsager, *Ann. New York Acad. Sci.*, 51 (1949) 627-659
 
-Source
-------
-
-`rectangular_prism.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/rectangular_prism.py>`_
-
-`rectangular_prism.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/rectangular_prism.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -113,5 +106,4 @@
 * **Last Modified by:**
 * **Last Reviewed by:**
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/rpa.py
===================================================================
--- sasmodels/models/rpa.py	(revision db1d9d5f306f6645d007300bc421fb71d3669eda)
+++ sasmodels/models/rpa.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -67,11 +67,4 @@
 .. [#] B. Hammouda, *SANS Toolbox* https://www.ncnr.nist.gov/staff/hammouda/the_sans_toolbox.pdf.
 
-Source
-------
-
-`rpa.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/rpa.py>`_
-
-`rpa.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/rpa.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -81,5 +74,4 @@
 * **Last Modified by:** Paul Butler **Date:** March 12, 2017
 * **Last Reviewed by:** Steve King **Date:** March 27, 2019
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/sc_paracrystal.py
===================================================================
--- sasmodels/models/sc_paracrystal.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/sc_paracrystal.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -101,11 +101,4 @@
 .. [#CIT1990] Hideki Matsuoka et. al. *Physical Review B*, 41 (1990) 3854 -3856 (Corrections to FCC and BCC lattice structure calculation)
 
-Source
-------
-
-`sc_paracrystal.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/sc_paracrystal.py>`_
-
-`sc_paracrystal.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/sc_paracrystal.c>`_
-
 Authorship and Verification
 ---------------------------
@@ -114,5 +107,4 @@
 * **Last Modified by:** Steve King **Date:** March 25, 2019
 * **Last Reviewed by:** Richard Heenan **Date:** March 21, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/sphere.py
===================================================================
--- sasmodels/models/sphere.py	(revision 934a0019578381a82c2f6323b873b21031496f80)
+++ sasmodels/models/sphere.py	(revision 934a0019578381a82c2f6323b873b21031496f80)
@@ -36,14 +36,7 @@
 References
 ----------
- 
+
 .. [#] A Guinier and G. Fournet, *Small-Angle Scattering of X-Rays*,
    John Wiley and Sons, New York, (1955)
-
-Source
-------
-
-`sphere.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/sphere.py>`_
-
-`sphere.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/sphere.c>`_
 
 Authorship and Verification
@@ -53,5 +46,4 @@
 * **Last Modified by:**
 * **Last Reviewed by:** S King and P Parker **Date:** 2013/09/09 and 2014/01/06
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
@@ -93,32 +85,32 @@
 #2345678901234567890123456789012345678901234567890123456789012345678901234567890
 tests = [
-     [{}, 0.2, 0.726362], # each test starts with default parameter values 
+     [{}, 0.2, 0.726362], # each test starts with default parameter values
      #            inside { }, unless modified. Then Q and expected value of I(Q)
-     # putting None for an expected result will pass the test if there are no 
+     # putting None for an expected result will pass the test if there are no
      # errors from the routine, but without any check on the value of the result
     [{"scale": 1., "background": 0., "sld": 6., "sld_solvent": 1.,
-       "radius": 120.}, [0.01,0.1,0.2], 
+       "radius": 120.}, [0.01,0.1,0.2],
      [1.34836265e+04, 6.20114062e+00, 1.04733914e-01]],
      [{"scale": 1., "background": 0., "sld": 6., "sld_solvent": 1.,
-     #  careful tests here R=120 Pd=.2, then with S(Q) at default Reff=50 
+     #  careful tests here R=120 Pd=.2, then with S(Q) at default Reff=50
      #  (but this gets changed to 120) phi=0,2
        "radius": 120., "radius_pd": 0.2, "radius_pd_n":45},
-      [0.01,0.1,0.2], [1.74395295e+04, 3.68016987e+00, 2.28843099e-01]],  
+      [0.01,0.1,0.2], [1.74395295e+04, 3.68016987e+00, 2.28843099e-01]],
      # a list of Q values and list of expected results is also possible
     [{"scale": 1., "background": 0., "sld": 6., "sld_solvent": 1.,
      "radius": 120., "radius_pd": 0.2, "radius_pd_n":45},
-      0.01, 335839.88055473, 1.41045057e+11, 120.0, 8087664.122641933, 1.0], 
-     # the longer list here checks  F1, F2, R_eff, volume, volume_ratio 
+      0.01, 335839.88055473, 1.41045057e+11, 120.0, 8087664.122641933, 1.0],
+     # the longer list here checks  F1, F2, R_eff, volume, volume_ratio
     [{"radius": 120., "radius_pd": 0.2, "radius_pd_n":45},
-      0.1, 482.93824329, 29763977.79867414, 120.0, 8087664.122641933, 1.0], 
+      0.1, 482.93824329, 29763977.79867414, 120.0, 8087664.122641933, 1.0],
     [{"radius": 120., "radius_pd": 0.2, "radius_pd_n":45},
       0.2, 1.23330406, 1850806.1197361, 120.0, 8087664.122641933, 1.0],
    #  But note P(Q) = F2/volume
-   #  F and F^2 are "unscaled", with for  n <F F*>S(q) or for beta approx 
+   #  F and F^2 are "unscaled", with for  n <F F*>S(q) or for beta approx
    #          I(q) = n [<F F*> + <F><F*> (S(q) - 1)]
-   #  for n the number density and <.> the orientation average, and 
+   #  for n the number density and <.> the orientation average, and
    #  F = integral rho(r) exp(i q . r) dr.
    #  The number density is volume fraction divided by particle volume.
-   #  Effectively, this leaves F = V drho form, where form is the usual 
+   #  Effectively, this leaves F = V drho form, where form is the usual
    #  3 j1(qr)/(qr) or whatever depending on the shape.
    # @S RESULTS using F1 and F2 from the longer test strng above:
@@ -128,7 +120,7 @@
    # with by default scale=1.0, background=0.001
    # NOTE currently S(Q) volfraction is also included in scaling
-   #  structure_factor_mode 0 = normal decoupling approx, 
+   #  structure_factor_mode 0 = normal decoupling approx,
    #                        1 = beta(Q) approx
-   # radius_effective_mode  0 is for free choice, 
+   # radius_effective_mode  0 is for free choice,
    #                        1 is use radius from F2(Q)
    #    (sphere only has two choices, other models may have more)
@@ -136,7 +128,7 @@
      "radius": 120., "radius_pd": 0.2, "radius_pd_n":45,"volfraction":0.2,
      #"radius_effective":50.0,    # hard sphere structure factor
-     "structure_factor_mode": 1,  # mode 0 = normal decoupling approx, 
+     "structure_factor_mode": 1,  # mode 0 = normal decoupling approx,
      #                                   1 = beta(Q) approx
-     "radius_effective_mode": 0   # this used default hardsphere Reff=50    
+     "radius_effective_mode": 0   # this used default hardsphere Reff=50
      }, [0.01,0.1,0.2], [1.32473756e+03, 7.36633631e-01, 4.67686201e-02]  ],
     [{"@S": "hardsphere",
@@ -145,5 +137,5 @@
      "radius_effective":45.0,     # explicit Reff over rides either 50 or 120
      "structure_factor_mode": 1,  # beta approx
-     "radius_effective_mode": 0   # 
+     "radius_effective_mode": 0   #
      }, 0.01, 1316.2990966463444 ],
     [{"@S": "hardsphere",
@@ -152,5 +144,5 @@
      "radius_effective":120.0,    # over ride Reff
      "structure_factor_mode": 1,  # beta approx
-     "radius_effective_mode": 0   # (mode=1 here also uses 120) 
+     "radius_effective_mode": 0   # (mode=1 here also uses 120)
      }, [0.01,0.1,0.2], [1.57928589e+03, 7.37067923e-01, 4.67686197e-02  ]],
     [{"@S": "hardsphere",
Index: sasmodels/models/spherical_sld.py
===================================================================
--- sasmodels/models/spherical_sld.py	(revision 627b68ba23ef354dd8256c6325ff76a9c070c252)
+++ sasmodels/models/spherical_sld.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -187,11 +187,4 @@
    and Neutron Scattering, Plenum Press, New York, (1987)
 
-Source
-------
-
-`spherical_sld.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/spherical_sld.py>`_
-
-`spherical_sld.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/spherical_sld.c>`_
-
 Authorship and Verification
 ---------------------------
@@ -200,5 +193,4 @@
 * **Last Modified by:** Paul Kienzle **Date:** Dec 20, 2016
 * **Last Reviewed by:** Steve King **Date:** March 29, 2019
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/spinodal.py
===================================================================
--- sasmodels/models/spinodal.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/spinodal.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -44,9 +44,4 @@
 .. [#] T. Hashimoto, M. Takenaka & H. Jinnai. Scattering Studies of Self-Assembling Processes of Polymer Blends in Spinodal Decomposition. J. Appl. Cryst. 24, 457-466 (1991).
 
-Source
-------
-
-`spinodal.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/spinodal.py>`_
-
 Authorship and Verification
 ----------------------------
@@ -55,5 +50,4 @@
 * **Last Modified by:** Steve King **Date:** Oct 25, 2018
 * **Last Reviewed by:** Steve King **Date:** Oct 25, 2018
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/squarewell.py
===================================================================
--- sasmodels/models/squarewell.py	(revision db1d9d5f306f6645d007300bc421fb71d3669eda)
+++ sasmodels/models/squarewell.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -54,9 +54,4 @@
 .. [#] M Kotlarchyk and S-H Chen, *J. Chem. Phys.*, 79 (1983) 2461-2469
 
-Source
-------
-
-`squarewell.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/squarewell.py>`_
-
 Authorship and Verification
 ----------------------------
@@ -65,5 +60,4 @@
 * **Last Modified by:**
 * **Last Reviewed by:** Steve King **Date:** March 27, 2019
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/stacked_disks.py
===================================================================
--- sasmodels/models/stacked_disks.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/stacked_disks.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -102,11 +102,4 @@
    John Wiley and Sons, New York, 1955
 
-Source
-------
-
-`stacked_disks.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/stacked_disks.py>`_
-
-`stacked_disks.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/stacked_disks.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -115,5 +108,4 @@
 * **Last Modified by:** Paul Butler and Paul Kienzle **Date:** November 26, 2016
 * **Last Reviewed by:** Paul Butler and Paul Kienzle **Date:** November 26, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/star_polymer.py
===================================================================
--- sasmodels/models/star_polymer.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/star_polymer.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -50,11 +50,4 @@
    B Ewen *Macromolecules*, 22, 468-472 (1989)
 
-Source
-------
-
-`star_polymer.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/star_polymer.py>`_
-
-`star_polymer.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/star_polymer.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -63,5 +56,4 @@
 * **Last Modified by:** Paul Butler **Date:** Auguts 26, 2017
 * **Last Reviewed by:** Ziang Li and Richard Heenan **Date:** May 17, 2017
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/stickyhardsphere.py
===================================================================
--- sasmodels/models/stickyhardsphere.py	(revision db1d9d5f306f6645d007300bc421fb71d3669eda)
+++ sasmodels/models/stickyhardsphere.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -78,9 +78,4 @@
 .. [#] M Kotlarchyk and S-H Chen, *J. Chem. Phys.*, 79 (1983) 2461-2469
 
-Source
-------
-
-`stickyhardsphere.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/stickyhardsphere.py>`_
-
 Authorship and Verification
 ----------------------------
@@ -89,5 +84,4 @@
 * **Last Modified by:**
 * **Last Reviewed by:** Steve King **Date:** March 27, 2019
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/surface_fractal.py
===================================================================
--- sasmodels/models/surface_fractal.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/surface_fractal.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -38,18 +38,10 @@
 .. [#] D Mildner and P Hall, *J. Phys. D: Appl. Phys.*, 19 (1986) 1535-1545
 
-Source
-------
-
-`surface_fractal.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/surface_fractal.py>`_
-
-`surface_fractal.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/surface_fractal.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/teubner_strey.py
===================================================================
--- sasmodels/models/teubner_strey.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/teubner_strey.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -65,18 +65,10 @@
 .. [#] H Endo, M Mihailescu, M. Monkenbusch, J Allgaier, G Gompper, D Richter, B Jakobs, T Sottmann, R Strey, and I Grillo, *J. Chem. Phys.*, 115 (2001), 580
 
-Source
-------
-
-`teubner_strey.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/teubner_strey.py>`_
-
-`teubner_strey.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/teubner_strey.c>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 from __future__ import division
Index: sasmodels/models/triaxial_ellipsoid.py
===================================================================
--- sasmodels/models/triaxial_ellipsoid.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/triaxial_ellipsoid.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -116,11 +116,4 @@
 .. [#] Finnigan, J.A., Jacobs, D.J., 1971. *Light scattering by ellipsoidal particles in solution*, J. Phys. D: Appl. Phys. 4, 72-77. doi:10.1088/0022-3727/4/1/310
 
-Source
-------
-
-`triaxial_ellipsoid.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/triaxial_ellipsoid.py>`_
-
-`triaxial_ellipsoid.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/triaxial_ellipsoid.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -129,5 +122,4 @@
 * **Last Modified by:** Paul Kienzle (improved calculation) **Date:** April 4, 2017
 * **Last Reviewed by:** Paul Kienzle & Richard Heenan **Date:**  April 4, 2017
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/two_lorentzian.py
===================================================================
--- sasmodels/models/two_lorentzian.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/two_lorentzian.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -27,9 +27,4 @@
 None.
 
-Source
-------
-
-`two_lorentzian.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/two_lorentzian.py>`_
-
 Authorship and Verification
 ----------------------------
@@ -38,5 +33,4 @@
 * **Last Modified by:** Piotr rozyczko **Date:** January 29, 2016
 * **Last Reviewed by:** Paul Butler **Date:** March 21, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/two_power_law.py
===================================================================
--- sasmodels/models/two_power_law.py	(revision 0507e09b26f5789862db8a175d64657cf4f3b829)
+++ sasmodels/models/two_power_law.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -37,9 +37,4 @@
 None.
 
-Source
-------
-
-`two_power_law.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/two_power_law.py>`_
-
 Authorship and Verification
 ----------------------------
@@ -48,5 +43,4 @@
 * **Last Modified by:** Wojciech Wpotrzebowski **Date:** February 18, 2016
 * **Last Reviewed by:** Paul Butler **Date:** March 21, 2016
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
Index: sasmodels/models/unified_power_Rg.py
===================================================================
--- sasmodels/models/unified_power_Rg.py	(revision b60680581eac92ebac8a6cf6fe34dfba1b491e45)
+++ sasmodels/models/unified_power_Rg.py	(revision b60680581eac92ebac8a6cf6fe34dfba1b491e45)
@@ -67,16 +67,10 @@
 .. [#] B Hammouda, *Analysis of the Beaucage model, J. Appl. Cryst.*, (2010), 43, 1474-1478
 
-Source
-------
-
-`unified_power_Rg.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/unified_power_Rg.py>`_
-
 Authorship and Verification
 ----------------------------
 
-* **Author:** 
-* **Last Modified by:** 
-* **Last Reviewed by:** 
-* **Source added by :** Steve King **Date:** March 25, 2019
+* **Author:**
+* **Last Modified by:**
+* **Last Reviewed by:**
 """
 
Index: sasmodels/models/vesicle.py
===================================================================
--- sasmodels/models/vesicle.py	(revision a34b8119b864fa10b972c2a11f92a9c5e13207f1)
+++ sasmodels/models/vesicle.py	(revision c1e44e5b1121db2a5c034ed4dfd86dac0f666034)
@@ -60,11 +60,4 @@
    Sons, New York, (1955)
 
-Source
-------
-
-`vesicle.py <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/vesicle.py>`_
-
-`vesicle.c <https://github.com/SasView/sasmodels/blob/master/sasmodels/models/vesicle.c>`_
-
 Authorship and Verification
 ----------------------------
@@ -73,5 +66,4 @@
 * **Last Modified by:** Paul Butler **Date:** March 20, 2016
 * **Last Reviewed by:** Paul Butler **Date:** September 7, 2018
-* **Source added by :** Steve King **Date:** March 25, 2019
 """
 
